Loading...
Searching...
No Matches
version.h File Reference

Run-time version information. More...

`#include "mbedtls/build_info.h"`
Include dependency graph for version.h:

Go to the source code of this file.

## Functions

unsigned int | mbedtls_version_get_number (void)
void | mbedtls_version_get_string (char *string)
void | mbedtls_version_get_string_full (char *string)
int | mbedtls_version_check_feature (const char *feature)
| Check if support for a feature was compiled into this Mbed TLS binary. This allows you to see at runtime if the library was for instance compiled with or without Multi-threading support.

## Detailed Description

Run-time version information.

Definition in file version.h.

## Function Documentation

## mbedtls_version_check_feature()

int mbedtls_version_check_feature | ( | const char * | feature | ) |

Check if support for a feature was compiled into this Mbed TLS binary. This allows you to see at runtime if the library was for instance compiled with or without Multi-threading support.

Note
  only checks against defines in the sections "System support", "Mbed TLS modules" and "Mbed TLS feature support" in mbedtls_config.h

Parameters

  feature | The string for the define to check (e.g. "MBEDTLS_AES_C")

Returns
  0 if the feature is present, -1 if the feature is not present and -2 if support for feature checking as a whole was not compiled in.

## mbedtls_version_get_number()

unsigned int mbedtls_version_get_number | ( | void |  | ) |

Get the version number.

Returns
  The constructed version number in the format MMNNPP00 (Major, Minor, Patch).

## mbedtls_version_get_string()

void mbedtls_version_get_string | ( | char * | string | ) |

Get the version string ("x.y.z").

Parameters

  string | The string that will receive the value. (Should be at least 9 bytes in size)

## mbedtls_version_get_string_full()

void mbedtls_version_get_string_full | ( | char * | string | ) |

Get the full version string ("Mbed TLS x.y.z").

Parameters

  string | The string that will receive the value. The Mbed TLS version string will use 18 bytes AT MOST including a terminating null byte. (So the buffer should be at least 18 bytes to receive this version string).